<template>
  <Layout class="settings-wrapper"
          v-if="!isLoading">
    <Content>
      <div v-if="isAdmin">
        <AdminSettingsComponent />
      </div>
      <div v-else>
        <UserSettingsComponent />
      </div>
    </Content>
  </Layout>
</template>

<script>
import Guard from "@/router/routerGuard"
const AdminSettingsComponent = () =>
  import(/* webpackChunkName: "adminsettings" */ "@/components/AdminSettingsComponent")
const UserSettingsComponent = () =>
  import(/* webpackChunkName: "usersettings" */ "@/components/UserSettingsComponent")

export default {
  name: "Settings",
  components: {
    AdminSettingsComponent,
    UserSettingsComponent
  },
  data: () => ({
    isAdmin: false,
    isLoading: true
  }),
  async mounted() {
    try {
      Guard.checkAdmin().then(result => {
        if (result) {
          this.isAdmin = true
        }
      })
      this.isLoading = false
    } catch (error) {
      this.isLoading = false
      console.error(error)
    }
  }
}
</script>

<style lang="scss" scoped>
.settings-wrapper {
  width: 100vw;
}
</style>
